########################################################################
#
#  General configuration
#

Name: sampler
Version: 1.7.4
Release: 1
License: BSD
Group: Applications/System
Packager: Ben Liblit <liblit@cs.wisc.edu>
Vendor: University of Wisconsin-Madison
Distribution: Cooperative Bug Isolation Project
URL: http://www.cs.wisc.edu/cbi/
Source: %name-%version.tar.gz
BuildRoot: %_tmppath/%name-%version-%release-buildroot
BuildRequires: /usr/bin/camlp4o.opt
BuildRequires: binutils
BuildRequires: dbus-devel
BuildRequires: docbook-style-xsl
BuildRequires: flex
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: gsl-devel
BuildRequires: lsb
BuildRequires: ocaml
BuildRequires: ocaml-cil-devel >= 1.3.6
BuildRequires: perl
BuildRequires: scons
BuildRequires: scrollkeeper


########################################################################
#
#  Package sampler
#

Summary: Support for applications with sampled instrumentation
Requires: python >= 2.4
Requires: dbus-python >= 0.80
Requires: gnome-python2-gconf
Requires: gnome-python2-gtkhtml2
Requires: pygtk2 >= 2.12
Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2
Obsoletes: sampler-gnome < 0.5

%description
This package supports instrumented applications at run time.  It
includes tools for launching instrumented applications, collecting
sample and crash reports, and uploading those reports to the central
bug isolation server.

%pre
%gconf_schema_prepare %name

%post
/sbin/ldconfig
%gconf_schema_upgrade %name
touch --no-create %_datadir/icons/hicolor &>/dev/null || :
gtk-update-icon-cache --quiet %_datadir/icons/hicolor &>/dev/null || :

%preun
%gconf_schema_remove %name

%postun
/sbin/ldconfig
if [ "$1" -eq 0 ]; then
  touch --no-create %_datadir/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %_datadir/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache --quiet %_datadir/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%_bindir/sampler-preferences
%config %_sysconfdir/gconf/schemas/*
%dir %_libdir/%name
%_libdir/%name/sites
%_libdir/%name/wrapped
%dir %_datadir/%name
%_datadir/%name/common
%_datadir/%name/first-time
%_datadir/%name/pixmaps
%_datadir/%name/preferences
%_datadir/%name/tray
%_datadir/%name/wrapper
%_datadir/applications/*
%_datadir/dbus-1/services/*
%_datadir/icons/hicolor/*/apps/*


########################################################################
#
#  Package sampler-devel
#

%package devel
Group: Development/Tools
Summary: Tools for building applications with sampled instrumentation
Requires: %(%__cc -print-prog-name=cc1)
Requires: binutils
Requires: gcc
Requires: perl >= 5.8
Requires: %name-libs = %version

%description devel
This package provides tools for building applications with sampled
instrumentation.  It includes an instrumenting C compiler and utility
tools for collecting and decoding sampled instrumentation reports.

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%_bindir/sampler-cc
%dir %_datadir/%name
%_datadir/%name/doc
%_datadir/omf/*
%_libdir/*.a
%_libdir/*.so
%dir %_libdir/%name
%_libdir/%name/driver
%_libdir/%name/tools
%_sysconfdir/rpm/*


########################################################################
#
#  Package sampler-libs
#

%package libs
Group: Development/Libraries
Summary: Libraries for use with sampled instrumentation

%description libs
This package provides run-time libraries used by applications with
sampled instrumentation.

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%_libdir/*.so.*


########################################################################
#
#  Package sampler-server
#

%package server
Group: System Environment/Daemons
Summary: CGI script to receive uploaded instrumentation reports
Requires: webserver
Requires: mod_cgi.so
Requires: mod_unique_id.so

%description server
This package provides a CGI script that manages the server end of
sampled instrumentation reporting.  It can be added to any standard
Apache web server installation that supports CGI scripts and the
$UNIQUE_ID environment variable.

%files server
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%_localstatedir/www/cgi-bin/*
%attr(750,apache,apache) %dir %_localstatedir/www/sampler-uploads


########################################################################
#
#  General scripts
#

%prep
%setup -q

%build
%define scons scons %{?_smp_mflags} OCAML_NATIVE=True extra_cflags='%optflags' prefix='%_prefix'
%scons
%{?do_check:%scons test}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%scons GCONF_SCHEMAS_INSTALL=False DESTDIR=$RPM_BUILD_ROOT install
env
echo cd `pwd`
echo /usr/lib/rpm/find-debuginfo.sh --strict-build-id /home/liblit/research/sampler/redhat/BUILD/sampler-1.6.2

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
